Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | Friends | List of all members
sauce::AbstractModule Class Referenceabstract

A base class that modules implemented as classes might derive from. More...

`#include <sauce/modules.h>`

## Public Member Functions
void | operator() (Binder &binder) const

## Protected Member Functions
virtual void | configure () const =0
| Override in derived classes to declare bindings.
template<typename Iface >
BindClause< Iface > | bind () const
| Begin binding the chosen interface.

## Friends
class | BinderGuard

## Detailed Description

A base class that modules implemented as classes might derive from.

Such a module would override configure() and call bind() directly, instead of handling an explicit Binder.

The documentation for this class was generated from the following file:

- sauce/modules.h